%global pypi_name rcssmin

Summary:	A CSS minifier written in python
Name:		python-%{pypi_name}
Version:	1.1.1
Release:	2%{?dist}
License:	Apache-2.0
URL:		http://opensource.perlig.de/rcssmin/
Source0:	http://storage.perlig.de/en/rcssmin/rcssmin-%{version}.tar.gz

BuildRequires:	gcc
BuildRequires:	python3-devel python3-pytest

%description
The minifier is based on the semantics of the YUI compressor, which itself is
based on the rule list by Isaac Schlueter. This module is a re-implementation
aiming for speed instead of maximum compression, so it can be used at runtime
(rather than during a preprocessing step). rCSSmin does syntactical compression
only (removing spaces, comments and possibly semicolons). It does not provide
semantic compression (like removing empty blocks, collapsing redundant 
properties etc).

%package -n python3-%{pypi_name}
Summary:	CSS Minifier

%description -n python3-%{pypi_name}
The minifier is based on the semantics of the YUI compressor, which itself is
based on the rule list by Isaac Schlueter. This module is a re-implementation
aiming for speed instead of maximum compression, so it can be used at runtime
(rather than during a preprocessing step). rCSSmin does syntactical compression
only (removing spaces, comments and possibly semicolons). It does not provide
semantic compression (like removing empty blocks, collapsing redundant 
properties etc).

%prep
%autosetup -n %{pypi_name}-%{version}
sed -i '1d' rcssmin.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{python3_sitearch}/_%{pypi_name}.cpython*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-2
- Rebuilt for loongarch release

* Mon Sep 25 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.1.1-1
- Upgrade to upstream version 1.1.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.6-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.6-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.6-2
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 Miaojun Dong <zoedong@tencent.com> - 1.0.6-1
- initial build
